# Generated from rest-client-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rest-client

# rubygem-addressable is not yet in Fedora
# https://bugzilla.redhat.com/show_bug.cgi?id=588428
%{!?enable_test: %global enable_test 0}

Summary: Simple REST client for Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.6.7
Release: 5%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/archiloque/rest-client
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem

# Bring the upstream released v1.6.7 tag gem in line
#with MIQ's vendored version from cfme
Patch0: sync-gem_instdir-contents-with-vendored.patch
Patch1: sync-gemspec-contents-with-vendored.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(mime-types) >= 1.16
Requires: %{?scl_prefix}rubygem(netrc)
BuildRequires: %{?scl_prefix}rubygems-devel
%if 0%{enable_test} > 0
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: %{?scl_prefix}rubygem(rspec-core)
BuildRequires: %{?scl_prefix}rubygem(mime-types) >= 1.16
BuildRequires: %{?scl_prefix}rubygem(webmock) >= 1.16
%endif
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
microframework style of specifying actions: get, put, post, delete.


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

pushd .%{gem_instdir}
%patch0 -p1
popd

pushd .%{gem_dir}/specifications
%patch1 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

rm -fR %{buildroot}%{gem_instdir}/.yardoc

%if 0%{enable_test} > 0
%check
pushd .%{gem_instdir}
sed -i -e "s|require 'spec'|require 'rspec'|" spec/base.rb
%{?scl:scl enable %{scl} "}
rspec spec
%{?scl:"}
popd
%endif

%files
%defattr(-, root, root, -)
%{_bindir}/restclient
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/history.md
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/spec
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}


%changelog
* Mon Apr 15 2013 Steve Linabery <slinaber@redhat.com> - 1.6.7-5
- Fix patches to apply separate hunk to gemspec

* Mon Apr 15 2013 Steve Linabery <slinaber@redhat.com> - 1.6.7-4
- Patch upstream v1.6.7 gem to match vendored code in cfme repo under lib/gems/rest-client-1.6.7 commit 839a4c6

* Wed Feb 27 2013 John Eckersberg <jeckersb@redhat.com> - 1.6.7-3
- Add missing scl_prefix on Provides

* Wed Feb 27 2013 John Eckersberg <jeckersb@redhat.com> - 1.6.7-2
- SCL-ize specfile

* Sat Sep 22 2012 Tim Bielawa <tim@redhat.com> - 1.6.7-1
- Update to 1.6.7

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 01 2012 Vít Ondruch <vondruch@redhat.com> - 1.6.1-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 1.6.1-1
- New version release

* Wed Mar 03 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.0-6
- New version release

* Mon Feb 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-5
- Added %dir %{geminstdir} into spec file

* Mon Feb 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-4
- Marked README.rdoc, history.md and spec/ as %doc

* Mon Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-3
- Fixed licence (MIT)
- Fixed duplicated files in spec
- Replaced %define with %global

* Mon Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-2
- Fixed spec filename
- Added Ruby dependency

* Mon Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-1
- Initial package
